/**
 * @file Command_PolicyRuleImport.cpp
 * @author Copyright (c) 2014 ESET, spol. s r.o.
 */

#include "set_nod.h"
#include "Command_PolicyRuleImport.h"

#include <Common/era_api/err_codes.h>
#include "../util/stringUtils.h"
#include "../Element.h"
#include "../EracmdExceptions.h"

void Command_PolicyRuleImport::Execute(elementArray &elements, OutputHandler &out)
{
	std::wstring file = GetArgument(0)->GetString();

	uint32_t result_policyRuleImport = era_PolicyRule_import(file.c_str());
	if (result_policyRuleImport != 0)
	{
		throw EraCMDException_FromApi(result_policyRuleImport);
	}
}

