/**
 * @file Command_PolicyRules.h
 * @author Copyright (c) 2013 ESET, spol. s r.o.
 */

#pragma once

#include <Common/era_api/era_api.h>
#include "../Command.h"

class Command_PolicyRules : public Command
{
public:
	virtual void Execute(elementArray &elements, OutputHandler &out) override;

	GENERATE_HELP_ID_METHODS(POLICYRULES)
protected:
	std::wstring GetServerName();
	static DWORD StrToDWORD(const std::wstring &str);
};

