#pragma once



#include <algorithm>
#include <cassert>
#include <cctype>
#include <codecvt>
#include <cstdint>
#include <exception>
#include <fcntl.h>
#include <fstream>
#include <functional>
#include <io.h>
#include <iostream>
#include <map>
#include <memory>
#include <set>
#include <sstream>
#include <stack>
#include <string>
#include <utility>
#include <vector>
#include <Windows.h>
#include <WinTrust.h>

class Token;
typedef std::vector< std::shared_ptr<Token> > tokenArray;

class Element;
typedef std::vector< std::shared_ptr<Element> > elementArray;

class ElementWord;
typedef std::vector< std::shared_ptr<ElementWord> > elementwordArray;

typedef std::vector< std::wstring > StringVector;


