/**
 * @file Command_Restart.h
 * @author Copyright (c) 2014 ESET, spol. s r.o.
 */

#pragma once

#include "../Command.h"

class Command_Restart : public Command
{
public:

	Command_Restart(ScriptInterpreter &si) : si(si) {}

	virtual void Execute(elementArray &elements, OutputHandler &out) override;

	GENERATE_HELP_ID_METHODS(RESTART)

protected:
	ScriptInterpreter &si;
};
