/**
 * @file TextWidth.h
 * @author Copyright (c) 2014 ESET, spol. s r.o.
 */

#pragma once

class TextWidth
{

public:
	virtual ~TextWidth() {};

public:
	virtual size_t GetWidth(const std::wstring &str) const = 0;
	virtual std::wstring AlignTo(const std::wstring &str, const size_t width) const = 0;

public:
	std::wstring ReplaceVariableLengthCharacters(const std::wstring &str) const;

};

